<template>
  <div>
    <!-- Dropdown language selector -->
    <select v-model="currentLocale" @change="changeLanguage" class="p-2 border rounded-md">
      <option v-for="locale in locales" :key="locale.code" :value="locale.code">
        {{ locale.name }}
      </option>
    </select>
  </div>
</template>

<script setup>
import { useI18n } from 'vue-i18n';
import languages from '~/config/languages.json'; // Import the JSON file with languages

const { locale } = useI18n();

// Get current locale and available locales from the JSON file
const currentLocale = ref(locale.value);
const locales = languages;

const changeLanguage = () => {
  console.log('Changing language to', currentLocale.value);
  locale.value = currentLocale.value;
};
</script>

<style scoped>
select {
  cursor: pointer;
}
</style>
